import { jsx } from "react/jsx-runtime";
import { TokenFLAME as TokenFLAME$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenFLAME = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "FLAME", "data-name": "TokenFLAME", ...props, children: /* @__PURE__ */ jsx(TokenFLAME$1, { variant }) });
  }
);
TokenFLAME.displayName = "TokenFLAME";
Object.assign(TokenFLAME, { isGdsIcon: true });
export {
  TokenFLAME
};
